package twmoead.twmoead;

import jmetal.core.Problem;
import twmoead.utils.Hypervolume;

public class HVUserObjective implements UserObjective {

    private Problem prob;
    Hypervolume hv;

    public HVUserObjective(Problem prob) {
        this.prob = prob;
        this.hv = new Hypervolume(prob);
    }

    public double value(double[][] objectives) {
        return hv.getHypervolume(objectives.clone());
    }

}
